---
title: List org group policy suggestions
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Groups
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List org group policy suggestions{% #list-org-group-policy-suggestions %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                          |
| ----------------- | --------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/org_group_policy_suggestions |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/org_group_policy_suggestions |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/org_group_policy_suggestions      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/org_group_policy_suggestions      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/org_group_policy_suggestions  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/org_group_policy_suggestions |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/org_group_policy_suggestions     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/org_group_policy_suggestions |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/org_group_policy_suggestions |

### Overview

List suggested organization group policies. Requires a filter on org group ID. This endpoint requires the `org_group_read` permission.

### Arguments

#### Query Strings

| Name                                   | Type   | Description                      |
| -------------------------------------- | ------ | -------------------------------- |
| filter[org_group_id] [*required*] | string | Filter policies by org group ID. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of org group policy suggestions.

| Parent field  | Field                               | Type     | Description                                                                                     |
| ------------- | ----------------------------------- | -------- | ----------------------------------------------------------------------------------------------- |
|               | data [*required*]              | [object] | An array of org group policy suggestions.                                                       |
| data          | attributes [*required*]        | object   | Attributes of an org group policy suggestion.                                                   |
| attributes    | consensus_ratio [*required*]   | double   | The ratio of member orgs whose configuration agrees on the recommended value.                   |
| attributes    | policy_name [*required*]       | string   | The name of the suggested policy.                                                               |
| attributes    | recommended_value [*required*] |          | The recommended value for the policy, based on member org consensus.                            |
| attributes    | status [*required*]            | enum     | The status of the policy suggestion. Allowed enum values: `pending,accepted,dismissed`          |
| data          | id [*required*]                | string   | The ID of the org group policy suggestion.                                                      |
| data          | relationships                       | object   | Relationships of an org group policy suggestion.                                                |
| relationships | org_group                           | object   | Relationship to a single org group.                                                             |
| org_group     | data [*required*]              | object   | A reference to an org group.                                                                    |
| data          | id [*required*]                | uuid     | The ID of the org group.                                                                        |
| data          | type [*required*]              | enum     | Org groups resource type. Allowed enum values: `org_groups`                                     |
| data          | type [*required*]              | enum     | Org group policy suggestions resource type. Allowed enum values: `org_group_policy_suggestions` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "consensus_ratio": 0.75,
        "policy_name": "monitor_timezone",
        "recommended_value": "UTC",
        "status": "pending"
      },
      "id": "1a2b3c4d-5e6f-7890-abcd-ef0123456789",
      "relationships": {
        "org_group": {
          "data": {
            "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
            "type": "org_groups"
          }
        }
      },
      "type": "org_group_policy_suggestions"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export filter[org_group_id]="a1b2c3d4-e5f6-7890-abcd-ef0123456789" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/org_group_policy_suggestions?filter[org_group_id]=${filter[org_group_id]}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
